module RuCaptcha
  module ViewHelpers
    def rucaptcha_input_tag(opts = {})
      opts[:name]           = '_rucaptcha'
      opts[:type]           = 'text'
      opts[:autocorrect]    = 'off'
      opts[:autocapitalize] = 'off'
      opts[:pattern]        = '[a-zA-Z]*'
      opts[:autocomplete]   = 'off'
      opts[:maxlength] ||= 5
      tag(:input, opts)
    end

    def rucaptcha_image_tag(opts = {})
      opts[:class] = opts[:class] || 'rucaptcha-image'
      opts[:src] = ru_captcha.root_path(:locale=>nil)
      opts[:onclick] = "this.t=Date.now();this.src = '#{opts[:src]}?t=' + this.t;this.audio=document.getElementById('captcha_audio');this.audio ? this.audio.src= '#{opts[:src]}?format=wav&t=' + this.t : null;"
      if RuCaptcha.espeak? && opts[:espeak]
        opts[:onload] = "this.already_load ? null : ($(this).after('#{rucaptcha_audio_tag}') && (this.already_load = true));"
        opts.delete(:espeak)
      end
      tag(:img, opts)
    end
    def rucaptcha_audio_tag()
      "<button title=\"#{I18n.t('rucaptcha.play_captcha_voice')}\" type=\"button\" onclick=\"document.getElementById(&quot;captcha_audio&quot;).play();\" class=\"fas fa-volume-up\" style=\"font-size: 1.5em; color: #333; cursor: pointer; border: 2px solid #333; padding: 0.2em;\"></button><audio id=\"captcha_audio\" src=\"#{ru_captcha.root_path(:format=>:wav)}\"></audio>".html_safe
    end
    def gotcha(opts = {})
      if opts[:placeholder].blank?
        opts[:placeholder] = I18n.t('rucaptcha.placeholder')
      end
      rucaptcha_input_tag(opts)
    end
    def gotcha_error(opts = {})
      if opts[:alt].blank?
        opts[:alt] = I18n.t('rucaptcha.captcha')
      end
      captcha_html = rucaptcha_image_tag(opts)
      captcha_html
    end

  end
end
